Skip to main content
`Ctrl`+`K`

# numpy.polynomial.hermite_e.hermemulx

polynomial.hermite_e.hermemulx(c)

  Multiply a Hermite series by x.

  Multiply the Hermite series c by x, where x is the independent variable.

  Parameters:
    c array_like

      1-D array of Hermite series coefficients ordered from low to high.

  Returns:
    out ndarray

      Array representing the result of the multiplication.

  See also

  `hermeadd`, `hermesub`, `hermemul`, `hermediv`, `hermepow`

  Notes

  The multiplication uses the recursion relationship for Hermite polynomials in the form

  \[xP_i(x) = (P_{i + 1}(x) + iP_{i - 1}(x)))\]

  Examples

      >>> from numpy.polynomial.hermite_e import hermemulx
      >>> hermemulx([1, 2, 3])
      array([2.,  7.,  2.,  3.])